<div id="et_send_sms" class="wrap bootstrap-et">
    <?php
    
    global $__Expt_BaseController, $__Expt_ApiCallbacks;
    
    if( get_current_screen()->base == 'experttexting_page_et_send_sms' ){
        $__Expt_ApiCallbacks->refreshBal();
    }

    if (isset($_POST['send_sms_request'])) {

        $et_send_sms = $__Expt_BaseController->expt_sanitize_array_data( $_POST['et_send_sms'] );
        update_option( "et_send_sms", $et_send_sms, "yes" );

        $__Expt_ApiCallbacks->sendMessage();

    } else {
        update_option( "et_send_sms", "", "yes" );
    }
    
    ?>

    <div class="container-fluid px-0">
        <?php $__Expt_BaseController->plugin_et_header(); ?>
        <div class="px-3 py-2">
            <h2 class="m-0 p-0"></h2>
            <div class="row">
                <div class="col-md-7">
                    <div class="card mw-100">
                        <form method="post" action="" class="et-send-sms-form">
                            <?php
                                settings_fields( 'et_plugin_sendSms_settings' );
                                do_settings_sections( 'et_sendSms_form' );
                                _e( '<input type="hidden" id="sendSMSUnicodeCheck" name="et_send_sms[et_send_check_unicode]" value="false">' );
                                if ( $__Expt_BaseController->activated( 'et_menu', 'send_unicode' ) ) { _e( '<input type="hidden" id="unicodeEnabled" value="true">' ); }
                                submit_button( __( 'Send Message', 'experttexting-official' ), 'primary', 'send_sms_request');
                            ?>
                        </form>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="card p-0">
                        <div class="card-header"><h4 class="m-0"><?php _e( 'Text Message Details', 'experttexting-official' ) ?></h4></div>
                        <div class="p-4">
                            <div class="h6"><?php _e( 'Message Count:', 'experttexting-official' ) ?> <span id="messageSegment">0</span></div>
                            <?php if ( $__Expt_BaseController->activated( 'et_menu', 'send_unicode' ) ) { ?>
                                <div class="h6"><?php _e( 'Message Type:', 'experttexting-official' ) ?> <span id="messageTypeUnicodeOnly"><?php _e( 'UCS-2', 'experttexting-official' ) ?></span> <span id="messageTypeHelp" class="dashicons dashicons-editor-help m-0 helpIcon"></span></div>
                                <div class="h6 alert alert-warning">
                                    <span class="dashicons dashicons-warning m-0"></span> <?php _e( 'Unicode Message: Enabled', 'experttexting-official' ) ?>
                                    <br>
                                    <p class=" text-muted m-0 mt-2">
                                        <?php _e( 'Messages are now being sent as Unicode Message.', 'experttexting-official' ) ?>
                                        <br>
                                        <?php _e( 'You can disable this option from', 'experttexting-official' ) ?> <a class="text-success" href='<?php esc_attr_e( admin_url("admin.php?page=et_settings&sub=manage") ) ?>'><?php _e( 'here', 'experttexting-official' ) ?></a>
                                    </p>
                                    <script>
                                        jQuery('#unicodeCheck').fadeOut(0);
                                        jQuery('#ucEnabled').fadeIn(0);
                                        </script>
                                </div>
                            
                            <?php } else { ?>
                                
                                <div class="h6"><?php _e( 'Message Type:', 'experttexting-official' ) ?> <span id="messageType"><?php _e( 'GSM-7', 'experttexting-official' ) ?></span> <span id="messageTypeHelp" class="dashicons dashicons-editor-help m-0 helpIcon"></span></div>
                            <?php } ?>
                            <div id="MessageTypeHelpInfo" class="bg-light text-dark p-2 rounded customInfo" style="display: none;">
                                <p>
                                    <?php _e( 'The character limit for a stand-alone SMS is (GSM-7: 160 characters) or (UCS-2: 70 characters) based on the encoding type.', 'experttexting-official'); ?> <br><br>
                                    <b><?php _e( 'GSM-7 Encoding:', 'experttexting-official'); ?></b> <?php _e( 'Messages exceeding the 160 characters will be sent as two or more messages.', 'experttexting-official'); ?> <br>
                                    <b><?php _e( 'UCS-2 Encoding:', 'experttexting-official'); ?></b> <?php _e( 'If you include non-GSM characters such as Emojis, Chinese, Korean, or Japanese, etc in SMS messages, those messages have to be sent via Unicode or UCS-2 encoding.', 'experttexting-official'); ?> <br>
                                    <?php _e( 'Messages exceeding the 70 characters will be sent as two or more messages.', 'experttexting-official' ) ?>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
