<?php

/**
 * @package ExpertTextingOfficial
 */

namespace ExptTxt\Expt_Base;

class Expt_Global_Notices {

    public function registry() {

        global $__Expt_BaseController, $__Expt_Notices;
        
        // API
        if( !empty( get_option( 'etApiAuth' ) ) || empty( get_option( 'et_balance' ) ) ) {
            $__Expt_Notices->api_notice();
        }

        // Admin mobile number
        if( !is_numeric( $__Expt_BaseController->adminNumber ) && $__Expt_BaseController->adminNumber ) {
            $__Expt_Notices->notice( __( 'Entered Admin\'s mobile number is invalid. Please provide the correct number.', 'experttexting-official' ), "error" );

        } elseif( $__Expt_BaseController->activated( 'et_integration_cf7', 'contact_form_7_chk' ) ||
        $__Expt_BaseController->activated( 'et_integration_woocommerce', 'woocommerce_chk' ) ||
        $__Expt_BaseController->activated( 'et_integration_edd', 'easy_digital_downloads_chk' ) ||
        $__Expt_BaseController->activated( 'et_notifications', 'new_register_chk' ) ||
        $__Expt_BaseController->activated( 'et_notifications', 'new_comment_chk' ) ||
        $__Expt_BaseController->activated( 'et_notifications', 'user_login_chk' ) ) {

            if( !$__Expt_BaseController->adminNumber ) {
                $__Expt_Notices->admin_number_notice();
            }
        }

    }

}