jQuery( document ).ready(function($) {

    jQuery( function($) {       
        $('#doaction.action, #doaction2.action').click( function( event ) {
            if($('#bulk-action-selector-top').val() == 'bulk-delete' || $('#bulk-action-selector-bottom').val() == 'bulk-delete') {

                if( ! confirm( 'Are you sure you want to delete? \r\n\r\nNote: This action cannot be undone.' ) ) {
                    event.preventDefault();
                }           
            }
        });
    });

    if( $('textarea[name="et_send_sms[et_send_msg]"]').val() ) {
        var source = $('textarea[name="et_send_sms[et_send_msg]"]').val();
        var len = source.length;
        var response = isGSMAlphabet(source);
        
        if ( jQuery('#unicodeEnabled').val() == "true" ) {
            var lengthResponse = lengthCheck(len, false);
        } else {
            var lengthResponse = lengthCheck(len, response);
        }

        $('#charCount').html(len);
        response ? $('#unicodeCheck').html("Normal Message").removeClass("text-danger") : $('#unicodeCheck').html("Unicode Message").addClass("text-danger");
        $('#messageSegment').html(lengthResponse);
        $('#messageType').html(response ? "GSM-7" : "UCS-2");
        jQuery('#sendSMSUnicodeCheck').val(response ? "false" : "true");
    }

    $("input[type=tel]").on("input change paste",
        function filterNumericAndDecimal(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^0-9+]/g, "");
                formControl.val(newtext);
            }, 5);
        });

    $(".numericCommaSepOnly").on("input change paste",
        function filterNumericAndDecimal(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^0-9,]/g, "");
                formControl.val(newtext);
            }, 5);
        });

    $(".alphaCharOnly").on("input change paste",
        function filterAlphaNumeric(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^a-z.\s]/gi,"");
                formControl.val(newtext);
            }, 5);
        });

    $(".alphanumericCharOnly").on("input change paste",
        function filterAlphaNumeric(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^a-z0-9]/gi,"");
                formControl.val(newtext);
            }, 5);
        });

    $(".alphanumericSpecialChar").on("input change paste",
        function filterAlphaNumeric(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^a-z0-9_().\s-]/gi,"");
                formControl.val(newtext);
            }, 5);
        });

    $('textarea[name="et_send_sms[et_send_msg]"]').on('input', function(e) {
        var source = $('textarea[name="et_send_sms[et_send_msg]"]').val();
        var len = source.length;
        var response = isGSMAlphabet(source);
        
        if ( jQuery('#unicodeEnabled').val() == "true" ) {
            var lengthResponse = lengthCheck(len, false);
        } else {
            var lengthResponse = lengthCheck(len, response);
        }

        $('#charCount').html(len);
        response ? $('#unicodeCheck').html("Normal Message").removeClass("text-danger") : $('#unicodeCheck').html("Unicode Message").addClass("text-danger");
        $('#messageSegment').html(lengthResponse);
        $('#messageType').html(response ? "GSM-7" : "UCS-2");
        jQuery('#sendSMSUnicodeCheck').val(response ? "false" : "true");
    });

    $('select[name="et_send_sms[et_send_to_selection][]"]').on('change', function() {

        var source =  $(this).find(":selected").val();
        if(source == "subscriber_users") {
            $("#select_wordpress_users").slideUp(50);
            $("#select_add_numbers").slideUp(50);
            $("#select_subscriber_users").slideDown(50);

            $("#subscriber_users").removeAttr('disabled');
            $("#wordpress_users").attr("disabled","");
            $("#add_numbers").attr("disabled","");
            
        } else if(source == "wordpress_users") {
            $("#select_subscriber_users").slideUp(50);
            $("#select_add_numbers").slideUp(50);
            $("#select_wordpress_users").slideDown(50);

            $("#wordpress_users").removeAttr('disabled');
            $("#subscriber_users").attr("disabled","");
            $("#add_numbers").attr("disabled","");
            
        } else if(source == "add_numbers") {
            $("#select_subscriber_users").slideUp(50);
            $("#select_wordpress_users").slideUp(50);
            $("#select_add_numbers").slideDown(50);

            $("#add_numbers").removeAttr('disabled');
            $("#subscriber_users").attr("disabled","");
            $("#wordpress_users").attr("disabled","");
            
        }
        
    });

    $('[data-toggle="tooltip"]').tooltip();
    chosenFn($);

    if(typeof $("#wordpress_users").html() != undefined) {
        $("#wordpress_users").attr("disabled","");
        $("#add_numbers").attr("disabled","");
    }

    $("#send_sms_request").on('click', function( event ) {
        if ( $("#sendSMSUnicodeCheck").val() == "true" ) {
            var confirmBox = confirm('The message you are about to send includes unicode characters. Your message will now be sent as a unicode message. Are you sure you want to continue?');
            if(confirmBox == true) {
                $("#send_sms_request").submit();
            } else {
                event.preventDefault();
                return;
            }
        }
        et_loader('#et_send_sms', '<h5 class="text-center ">Message sending in progress. <br>Please wait!</h5>');
        $(this).submit();
    });

    $("#messageTypeHelp").hover( function() {
            $("#MessageTypeHelpInfo").slideDown();
        }, function() {
            $("#MessageTypeHelpInfo").slideUp();
    });

});

const chosenFn = ($) => {
    // Enter mobile numbers script
    var select, chosen;

    select = $(".chosen-select.add-numbers");

    select.chosen({ no_results_text: 'Press Enter to add a number:' });

    chosen = $('.chosen-container-multi');

    chosen.find('input').keyup( function(e) {

        if (e.which === 13) {
            this.value = this.value.length > 20 ? this.value.substring(0, 20) : this.value;
            var option = $("<option>").val(this.value).text(this.value);
            select.append(option);
            select.find(option).prop('selected', true);
            select.trigger("chosen:updated");
        }
    }).on('paste input change', function (e) {

        var that = this;
        setTimeout(function () {
            var element = $(that).val().split(",");
            if(element.length > 1) {
                for ( i=0; i<element.length; i++ ) {
                    element[i] = element[i].length > 20 ? element[i].substring(0, 20) : element[i];
                    var option = $("<option>").val(element[i]).text(element[i]);
                    select.append(option);
                    select.find(option).prop('selected', true);
                    select.trigger("chosen:updated");
                }
            } else {
                $(that).val( $(that).val().length > 20 ? $(that).val().substring(0, 20) : $(that).val() );
            }
        }, 5);
    });
    // End of Enter mobile numbers script

    $(".chosen-select").chosen();

    $("#select_add_numbers .chosen-search-input").on("input change paste",
    function filterNumericAndDecimal(event) {
        setTimeout(function () {
            var formControl;
            formControl = jQuery(event.target);
            var newtext = formControl.val().replace(/[^0-9,+]/g, "");
            formControl.val('');
            formControl.val(newtext);
        }, 5);
    });
}

const isGSMAlphabet = (text) => {
    var regexp = new RegExp("^[A-Za-z0-9 \\r\\n@£$¥èéùìòÇØøÅå\u00a4\u0394_\u03A6\u0393\u039B\u03A9\u03A0\u03A8\u03A3\u0398\u039EÆæßÉ!\"#$%&'()*+,\\-./:;<=>?¡ÄÖÑÜ§¿äöñüà^{}\\\\\\[~\\]|\u20AC]*$");
    return regexp.test(text);
}

const lengthCheck = (len, res) => {
    var char = res ? 160 : 70;
    if (len !== 0 && char === 160) {
        var message = len > char ? Math.ceil(len / (char - 7)) : 1;
    } else if (len !== 0 && char === 70) {
        var message = len > char ? Math.ceil(len / (char - 3)) : 1;
    } else {
        var message = 0;
    }
    return message;
}

// Loader
function et_loader(str, txt = '', position = 'false', hide = false) {
    position = ( position == 'true' ? 'position: fixed !important;' : '' );
    !hide ? jQuery(str).append('<div id="loader_main"><div class="contain" style="' + position + '"><div id="loader"></div>' + txt + '</div></div>') : jQuery(str).remove('#loader_main');
}

// Show/Hide
function showHideField(e) {
    var x = document.querySelector('[name="'+ e +'"]');
    if (x.type == 'password') {
        x.type = "text";
        x.nextSibling.firstChild.classList.replace('dashicons-visibility','dashicons-hidden');
    } else {
        x.type = "password";
        x.nextSibling.firstChild.classList.replace('dashicons-hidden','dashicons-visibility');
    }
}