<div id="et_wpcf7" class="contact-form-editor bootstrap-et">
    <h5><?php _e( 'ExpertTexting SMS Notification for Contact Form 7', 'experttexting-official' ) ?></h5>
    <hr>
    <h6 class="text-body text-uppercase"><?php _e('Send to specified numbers', 'experttexting-official'); ?></h6>
    <fieldset>
        <legend><p><?php _e('Send an sms message to numbers when submit form', 'experttexting-official'); ?></p></legend>
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><label for="et_wpcf7_sender"><?php _e('Send to', 'experttexting-official'); ?>:</label></th>
                <td>
                    <input type="text" value="<?php esc_attr_e( (!empty($cf7_options['phone']) ? $cf7_options['phone'] : '') ); ?>" size="70" class="regular-text mb-2 numericCommaSepOnly" name="et_wpcf7[phone]" id="et_wpcf7_sender">
                    <br>
                    <span class="fw-normal text-muted"><?php _e( __('To send to more than one number, separate the numbers with a comma.', 'experttexting-official') . '<br>(e.g. 10000000001,10000000002,10000000003)' ); ?></span>
                </td>
            </tr>

            <tr>
                <th scope="row"><label for="et_wpcf7_message"><?php _e('Message body', 'experttexting-official'); ?>:</label></th>
                <td>
                    <textarea rows="4" cols="100" class="regular-text mb-2" name="et_wpcf7[message]" id="et_wpcf7_message"><?php esc_attr_e( (!empty($cf7_options['message']) ? $cf7_options['message'] : '') ); ?></textarea>
                    <br>
                    <span class="fw-normal text-muted"><?php _e('Add Contact Form 7 fields <br>( e.g. If the field is "[text* your-name]" in form, add this <b>[your-name]</b> )'); ?></span>
                </td>
            </tr>
        </table>

        <hr>

        <h6 class="text-body text-uppercase"><?php _e('Send to form', 'experttexting-official'); ?></h6>
        <legend><p><?php _e('Send an sms message to field when submit form <br>(<b>Note:</b> New field of Mobile Number must be included in Contact Form 7)', 'experttexting-official'); ?></p></legend>
        <table class="form-table">
            <tr>
                <th scope="row"><label for="et_wpcf7_sender_form"><?php _e('Send to CF7 field', 'experttexting-official'); ?>:</label>
                </th>
                <td>
                    <input type="text" value="<?php esc_attr_e( (!empty($cf7_options_field['phone']) ? $cf7_options_field['phone'] : '') ); ?>" size="70" class="regular-text mb-2" name="et_wpcf7_form[phone]" id="et_wpcf7_sender_form">
                    <br>
                    <span class="fw-normal text-muted"><?php _e('Add Contact Form 7 field of Mobile Number <br>( e.g. If the field is "[text* your-mobile]" in form, add this <b>[your-mobile]</b> )'); ?></span>
                </td>
            </tr>

            <tr>
                <th scope="row"><label for="et_wpcf7_message_form"><?php _e('Message body', 'experttexting-official'); ?>:</label>
                </th>
                <td>
                    <textarea rows="4" cols="100" class="regular-text mb-2" name="et_wpcf7_form[message]" id="et_wpcf7_message_form"><?php esc_attr_e( (!empty($cf7_options_field['message']) ? $cf7_options_field['message'] : '') ); ?></textarea>
                    <br>
                    <span class="fw-normal text-muted"><?php _e('Add Contact Form 7 fields <br>( e.g. If the field is "[text* your-name]" in form, add this <b>[your-name]</b> )'); ?></span>
                </td>
            </tr>
            </tbody>
        </table>
    </fieldset>
</div>