<?php

/**
 * @package ExpertTextingOfficial
 */

namespace ExptTxt\Expt_Api\Expt_Callbacks;

use ExptTxt\Expt_Base\Expt_BaseController;
use ExptTxt\Expt_Api\Expt_SettingsApi;

class Expt_AdminCallbacks extends Expt_BaseController {

    public function adminDashboard() {
        
        return require_once( "$this->plugin_path/ExptTemplates/et_admin.php" );
    }

    public function adminSendSms() {

        return require_once( "$this->plugin_path/ExptTemplates/et_send_sms.php" );
    }

    public function adminOutbox() {

        return require_once( "$this->plugin_path/ExptTemplates/et_outbox.php" );
    }

    public function adminSubscribers() {

        return require_once( "$this->plugin_path/ExptTemplates/et_subscribers.php" );
    }

    public function adminGroups() {

        return require_once( "$this->plugin_path/ExptTemplates/et_groups.php" );
    }

    public function adminSettings() {

        return require_once( "$this->plugin_path/ExptTemplates/et_settings.php" );
    }

    public function adminIntegrations() {

        return require_once( "$this->plugin_path/ExptTemplates/et_integration_settings.php" );
    }

    public function adminHooksNFunctions() {

        return require_once( "$this->plugin_path/ExptTemplates/et_hooks_n_functions.php" );
    }

}