jQuery(document).ready(function ($) {

    $("input[type=tel]").on("input change paste",
        function filterNumericAndDecimal(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^0-9+]/g, "");
                formControl.val(newtext);
            }, 5);
        });

    $(".alphaCharOnly").on("input change paste",
        function filterAlphaNumeric(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^a-z.\s]/gi,"");
                formControl.val(newtext);
            }, 5);
        });

    $(".alphanumericCharOnly").on("input change paste",
        function filterAlphaNumeric(event) {
            setTimeout(function () {
                var formControl;
                formControl = $(event.target);
                var newtext = formControl.val().replace(/[^a-z0-9]/gi,"");
                formControl.val(newtext);
            }, 5);
        });

});


function o() {
    document.querySelectorAll(".field-msg").forEach(function (e) {
        return e.classList.remove("show")
    })
}

document.addEventListener("DOMContentLoaded", function (e) {
    // Sub Form
    document.addEventListener("submit", function (e) {
        if (e.target.id.match(/et_sms_form_/g) != null && e.target.id.match(/_activation/g) == null) {
            e.preventDefault(), o();
            var getid = e.target.id.replace('et_sms_form_','');
            var a = e.target;
            var b = document.getElementById('et_sms_form_status_' + getid);
            var c = document.getElementById('et_sms_form_activation_' + getid);
            var r = {
                name: a.querySelector('[name="et_sms_name"]').value,
                mob: a.querySelector('[name="et_sms_mob"]').value,
                subscriber: a.querySelector('[name="et_sms_subscribers"]').checked == true ? a.querySelector('[name="et_sms_subscribers"]').value : false,
                nonce: a.querySelector('[name="nonce"]').value,
                checkprivacy: a.querySelector('[name="et_sms_agree_chkbox"]') != null ? a.querySelector('[name="et_sms_agree_chkbox"]').checked : 'disabled`'
            };
            const regNum = new RegExp('^[0-9+]+$');
            if (r.name)
                if (regNum.test(r.mob) && r.mob)
                    if (r.checkprivacy || r.checkprivacy == 'disabled')
                        if (r.subscriber) {
                            var t = a.dataset.url,
                                s = new URLSearchParams(new FormData(a));
                            b.querySelector(".js-form-submission").classList.add("show"), fetch(t, {
                                method: "POST",
                                body: s
                            }).then(function (e) {
                                return e.json()
                            }).catch(function (e) {
                                o(), b.querySelector(".js-form-error").classList.add("show")
                            }).then(function (e) {
                                o();
                                if (0 !== e && "success" === e.status) {
                                    (b.querySelector(".js-form-success").classList.add("show"), a.reset());
                                    (a.classList.add("hide"), a.reset());
                                } else if (0 !== e && "success-unsub" === e.status) {
                                    (b.querySelector(".js-form-success-unsub").classList.add("show"), a.reset());
                                } else if (0 !== e && "exist" === e.status) {
                                    (b.querySelector(".js-form-exist").classList.add("show"), a.reset());
                                } else if (0 !== e && "notfound" === e.status) {
                                    (b.querySelector(".js-form-notfound").classList.add("show"), a.reset());
                                } else if (0 !== e && "invalid-active-code" === e.status) {
                                    (b.querySelector(".js-form-active-code").classList.add("show"), a.reset());
                                } else if (0 !== e && "activation-show" === e.status) {
                                    (a.classList.add("hide"), a.reset());
                                    (c.classList.add("show"), a.reset());
                                } else if (0 !== e && "min-error" === e.status) {
                                    (document.querySelector(".js-form-min-error").classList.add("show"));
                                } else if (0 !== e && "max-error" === e.status) {
                                    (document.querySelector(".js-form-max-error").classList.add("show"));
                                } else if (0 !== e && "invalid-mobile-number" === e.status) {
                                    (document.querySelector(".js-form-invalid-number").classList.add("show"));
                                } else {
                                    b.querySelector(".js-form-error").classList.add("show")
                                }
                            })
                        } else a.querySelector('[data-error="invalidSub"]').classList.add("show");
                    else a.querySelector('[data-error="invalidAgreeCheck"]').classList.add("show");
                else a.querySelector('[data-error="invalidMobile"]').classList.add("show");
            else a.querySelector('[data-error="invalidName"]').classList.add("show");
        }
    })

    // Activation
    document.addEventListener("submit", function (e) {
        if (e.target.id.match(/et_sms_form_/g) != null && e.target.id.match(/_activation/g) != null) {
            e.preventDefault(), o();
            var getid = e.target.id.replace('et_sms_form_activation_','');
            var a = e.target;
            var b = document.getElementById('et_sms_form_status_' + getid);
            var c = document.getElementById('et_sms_form_' + getid);
            var r = {
                activation: a.querySelector('[name="et_sms_activation_code"]').value,
            };
            if (r.activation) {
                var t = a.dataset.url,
                    s = new URLSearchParams(new FormData(a));
                b.querySelector(".js-form-submission-activation").classList.add("show"), fetch(t, {
                    method: "POST",
                    body: s
                }).then(function (e) {
                    return e.json()
                }).catch(function (e) {
                    o(), b.querySelector(".js-form-error").classList.add("show")
                }).then(function (e) {
                    o();
                    if (0 !== e && "success" === e.status) {
                        (b.querySelector(".js-form-success").classList.add("show"), a.reset());
                        (a.classList.remove("show"), a.reset());
                        (c.classList.add("hide"), a.reset());
                    } else if (0 !== e && "success-unsub" === e.status) {
                        (b.querySelector(".js-form-success-unsub").classList.add("show"), a.reset());
                    } else if (0 !== e && "exist" === e.status) {
                        (b.querySelector(".js-form-exist").classList.add("show"), a.reset());
                    } else if (0 !== e && "notfound" === e.status) {
                        (b.querySelector(".js-form-notfound").classList.add("show"), a.reset());
                    } else if (0 !== e && "invalid-active-code" === e.status) {
                        (b.querySelector(".js-form-active-code").classList.add("show"), a.reset());
                    } else {
                        b.querySelector(".js-form-error").classList.add("show")
                    }
                })
            } else a.querySelector('[data-error="invalidActivation"]').classList.add("show");
        }
    })
});
