<?php

/**
 * Trigger this file on Plugin uninstall
 * 
 * @package ExpertTextingOfficial
 */

if ( !defined( 'WP_UNINSTALL_PLUGIN' ) ) {
    die;
}

global $wpdb;

delete_option( 'et_plugin_db_version' );
delete_option( 'et_menu' );
delete_option( 'et_balance' );
delete_option( 'etApiAuth' );
delete_option( 'etApiAuthHidden' );
delete_option( 'et_send_sms' );
delete_option( 'et_api_set' );
delete_option( 'et_general_set' );
delete_option( 'et_notifications' );
delete_option( 'et_newsletter' );
delete_option( 'et_subscriber_data' );
delete_option( 'et_balance_datetime' );

$et_integration = $wpdb->prepare("DELETE FROM `{$wpdb->prefix}options` WHERE option_name LIKE %s", '%et_integration_%');
$expttxt_log = $wpdb->prepare("DELETE FROM `{$wpdb->prefix}options` WHERE option_name LIKE %s", '%expttxt_log_%');
$et_wpcf7 = $wpdb->prepare("DELETE FROM `{$wpdb->prefix}options` WHERE option_name LIKE %s", '%et_wpcf7%');
$et_send_code_limit_time = $wpdb->prepare("DELETE FROM `{$wpdb->prefix}options` WHERE option_name LIKE %s", '%et_send_code_limit_time%');

$wpdb->query( $et_integration );
$wpdb->query( $expttxt_log );
$wpdb->query( $et_wpcf7 );
$wpdb->query( $et_send_code_limit_time );